﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new Word document
            WordDocument document = new WordDocument();
            //Add new section to the document
            IWSection section = document.AddSection();
            //Add new paragraph to section
            IWParagraph paragraph = section.AddParagraph();
            //Create a new instance of IF field
            WIfField field = paragraph.AppendField("If", FieldType.FieldIf) as WIfField;
            //Specifies the field code
            field.FieldCode = "IF ";
            //Get the index of the If field
            int fieldIndex = paragraph.Items.IndexOf(field);
            //Create new instance of Merge field
            WMergeField mergeField = new WMergeField(document);
            //SPecify the field code
            mergeField.FieldCode = "MERGEFIELD Gender";
            //Insert Merge field between If field begin and separator
            paragraph.Items.Insert(fieldIndex + 1, mergeField);
            WTextRange text = new WTextRange(document);
            text.Text = " = \"M\" \"Male\" \"Female\"";
            //Insert the If field result as text
            paragraph.Items.Insert(fieldIndex + 2, text);            
            //Execute Mail merge
            string[] fieldName = { "Gender" };
            string[] fieldValue = { "F" };
            document.MailMerge.Execute(fieldName, fieldValue);
            //Updates the document fields
            document.UpdateDocumentFields();
            //Save and close the document
            document.Save("Sample.docx", FormatType.Docx);
            document.Close();
            System.Diagnostics.Process.Start("Sample.docx");            
        }
    }
}
